Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.model
Class InternalInitializer

    java.lang.Object
      org.eclipse.wst.server.core.model.InternalInitializer

    public class InternalInitializer

extends java.lang.Object

This is an internal utility class that is used by the server framework. It is not API and should never be used by clients.

Constructor Summary
`InternalInitializer()`

Method Summary
`static void` | `initializeModuleFactoryDelegate(ModuleFactoryDelegate delegate, org.eclipse.wst.server.core.internal.ModuleFactory newModuleFactory, IProgressMonitor monitor)` Internal method - do not call.
`static void` | `initializeRuntimeDelegate(RuntimeDelegate delegate, org.eclipse.wst.server.core.internal.Runtime newRuntime, IProgressMonitor monitor)` Internal method - do not call.
`static void` | `initializeServerBehaviourDelegate(ServerBehaviourDelegate delegate, org.eclipse.wst.server.core.internal.Server newServer, IProgressMonitor monitor)` Internal method - do not call.
`static void` | `initializeServerDelegate(ServerDelegate delegate, org.eclipse.wst.server.core.internal.Server newServer, IProgressMonitor monitor)` Internal method - do not call.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalInitializer

    public InternalInitializer()

Method Detail

### initializeServerDelegate

    public static void initializeServerDelegate(ServerDelegate delegate,
                                                org.eclipse.wst.server.core.internal.Server newServer,
                                                IProgressMonitor monitor)

  Internal method - do not call.

  Parameters:
    `delegate` -
    `newServer` -
    `monitor` -

### initializeServerBehaviourDelegate

    public static void initializeServerBehaviourDelegate(ServerBehaviourDelegate delegate,
                                                         org.eclipse.wst.server.core.internal.Server newServer,
                                                         IProgressMonitor monitor)

  Internal method - do not call.

  Parameters:
    `delegate` -
    `newServer` -
    `monitor` -

### initializeRuntimeDelegate

    public static void initializeRuntimeDelegate(RuntimeDelegate delegate,
                                                 org.eclipse.wst.server.core.internal.Runtime newRuntime,
                                                 IProgressMonitor monitor)

  Internal method - do not call.

  Parameters:
    `delegate` -
    `newRuntime` -
    `monitor` -

### initializeModuleFactoryDelegate

    public static void initializeModuleFactoryDelegate(ModuleFactoryDelegate delegate,
                                                       org.eclipse.wst.server.core.internal.ModuleFactory newModuleFactory,
                                                       IProgressMonitor monitor)

  Internal method - do not call.

  Parameters:
    `delegate` -
    `newModuleFactory` -
    `monitor` -

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD